Package org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collection

# Class DiscoveryCollectionDefaultCrs

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collection.AbstractDiscoveryCollection
org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collection.DiscoveryCollectionDefaultCrs

public class DiscoveryCollectionDefaultCrs extends AbstractDiscoveryCollection
Verifies object in the paths /collection

     Abstract Test 2: /conf/crs/default-crs
     Test Purpose: Verify that the list of supported CRSs includes the default CRS.
     Requirement: /req/crs/fc-md-crs-list B

     Test Method
     For each string value in a crs property in a collection object (for each path /collections and /collections/{collectionId})
     validate that either
     http://www.opengis.net/def/crs/OGC/1.3/CRS84 or
     http://www.opengis.net/def/crs/OGC/0/CRS84h
     is included in the array, if the collection has a spatial extent, i.e., is a spatial feature collection.

Author:
  Lyn Goltz

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscoveryCollectionDefaultCrs()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `storeCollectionInTestContext(org.testng.ITestContext testContext)`
  storeCollectionInTestContext.
  `void`
  `verifyCollectionCrsIdentifierOfCrsProperty(String collectionId, io.restassured.path.json.JsonPath collection)`
  Test: crs property in the collection objects in the path /collections

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collection.AbstractDiscoveryCollection

  `collectionIdAndJson`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DiscoveryCollectionDefaultCrs

    public DiscoveryCollectionDefaultCrs()

- ## Method Details

  - ### storeCollectionInTestContext

    @AfterClass public void storeCollectionInTestContext(org.testng.ITestContext testContext)

    storeCollectionInTestContext.

    Parameters:
      `testContext` - a `ITestContext` object

  - ### verifyCollectionCrsIdentifierOfCrsProperty

    public void verifyCollectionCrsIdentifierOfCrsProperty(String collectionId, io.restassured.path.json.JsonPath collection)
    Test: crs property in the collection objects in the path /collections
    Parameters:
      `collectionId` - id of the collection under test, never `null`
      `collection` - the /collection object, never `null`